### Method

# Fwupd Device to_variant_full

since: 1.1.2

#### Declaration [src]

    GVariant*
    fwupd_device_to_variant_full (
      FwupdDevice* self,
      FwupdDeviceFlags flags
    )

#### Description [src]

Serialize the device data. Optionally provides additional data based upon flags.

Available since: 1.1.2

#### Parameters

`flags`

  Type: `FwupdDeviceFlags`

  Device flags.

#### Return value

Type: `GVariant`

The serialized data, or `NULL` for error.

The caller of the method takes ownership of the data, and is responsible for freeing it.